.interactive-search {
    .domain-switch {
        grid-column: 1 / -1;
        justify-self: flex-end;
    }

    .search-criteria {
        position: relative;
        .search-criteria-title {
            text-align: center;
            margin-bottom: var(--anresis-spacing-7);
        }
        form {
            > div:first-child {
                display: none;
            }

            display: grid;
            grid-template-columns: repeat(2, minmax(0, 1fr));
            gap: var(--anresis-spacing-7);

            @media (max-width: 767px) {
                grid-template-columns: repeat(1, minmax(0, 1fr));
            }
        }

        .form-group {
            display: flex;
            flex-direction: column;
            gap: var(--anresis-spacing-1);

            label {
                font-weight: bold;
            }
        }

        .search-criteria-calculate {
            align-self: center;
            margin-block-start: var(--anresis-spacing-7);
        }

        &:has(.loading-indicator) {
            pointer-events: none;

            .loading-indicator {
                background-color: rgba(0, 0, 0, 0.25);
            }
        }
    }

    .search-options {
        margin-block-start: var(--anresis-spacing-4);
        margin-block-end: var(--anresis-spacing-7);
        padding: var(--anresis-spacing-4);
        background-color: var(--anresis-color-grey-2-background);

        .criteria {
            display: flex;
            flex-direction: column;
            gap: var(--anresis-spacing-1);
            margin-block-end: var(--anresis-spacing-4);
        }

        .criterion {
            display: flex;
            flex-wrap: wrap;


            .criterion-title {
                width: 250px;
            }

            .criterion-value {
                font-weight: bold;
            }

            @media (max-width: 767px) {
                .criterion-title {
                    width: 100%;
                }
            }
        }
    }

    .search-buttons {

        display: flex;
        flex-wrap: wrap;
        gap: var(--anresis-spacing-1);

        .button {
            color: var(--anresis-color-primary-text);
            border-color: var(--anresis-color-primary-text);

            &:hover {
                color: var(--anresis-color-white-text);
                background-color: var(--anresis-color-primary-background)
            }
        }

        @media (max-width: 767px) {
            .button {
                width: 100%;
            }
        }
    }

    .search-criteria-calculate {
        display: flex;
        align-items: center;
        justify-content: center;

        @media (max-width: 767px) {
            .button {
                width: 100%;
            }
        }
    }

    .result-container {
        display: none;
        margin-block-start: var(--anresis-spacing-7);

        &.is-active {
            display: block;
        }
    }

    .search-results {
        table {
            width: 100%;
            table-layout: fixed;

            thead {
                th, td {
                    background-color: #a9c7d6;
                    font-weight: bold;
                    text-align: center;
                }
            }

            th, td {
                padding: var(--anresis-spacing-4);
                background-color: #ebf0f5;
            }
        }
    }
}

